<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2010 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| Author :  Nick Jones
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

if (file_exists(INFUSIONS."missing_profile_info_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."missing_profile_info_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."missing_profile_info_panel/locale/English.php";
}

// Infusion general information
$inf_title = $locale['inf_title'];
$inf_description = $locale['inf_description'];
$inf_version = "2.00";
$inf_developer = "Fangree Productions";
$inf_email = "admin@fangree.com";
$inf_weburl = "http://www.fangree.com";

$inf_folder = "missing_profile_info_panel";

// Default Userfields
$inf_insertdbrow[1] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('mpi_user_birthdate', '1', '".$inf_folder."')";
$inf_insertdbrow[2] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('mpi_user_web', '1', '".$inf_folder."')";
$inf_insertdbrow[3] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('mpi_user_location', '1', '".$inf_folder."')";
// Main Settings
$inf_insertdbrow[4] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('mpi_enabled', '1', '".$inf_folder."_setting')";
$inf_insertdbrow[5] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('mpi_msg', '".$locale['mpip_003']."', '".$inf_folder."_setting')";
$inf_insertdbrow[6] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('mpi_avatar_check', '0', '".$inf_folder."_setting')";
// Insert the panel
$inf_insertdbrow[7] = DB_PANELS." SET panel_name='".$locale['inf_title']."', panel_filename='missing_profile_info_panel', panel_content='', panel_side=2, panel_type='file', panel_access='101', panel_display='1', panel_status='1', panel_url_list='', panel_restriction='0'";

$inf_deldbrow[1] = DB_SETTINGS_INF." WHERE settings_inf='".$inf_folder."'";
$inf_deldbrow[2] = DB_SETTINGS_INF." WHERE settings_inf='".$inf_folder."_setting'";
$inf_deldbrow[3] = DB_PANELS." WHERE panel_filename='missing_profile_info_panel'";

$inf_adminpanel[1] = array(
	"title" => $locale['inf_title'],
	"image" => "infusion_panel.gif",
	"panel" => "missing_profile_info_panel_admin.php",
	"rights" => "MPI"
);

?>